summaryrefslogtreecommitdiffstats
path: root/source/script/tests/runtests.sh
diff options
context:
space:
mode:
authorGerald Carter <jerry@samba.org>2005-08-03 05:46:43 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 11:00:23 -0500
commit11c886394970713a226d1fe46a4931ef97bb39a8 (patch)
treebe7479ee339a0b78a890424a4c8dbfc37ad9a8a2 /source/script/tests/runtests.sh
parent3d491ebf9ca8edae938aee08abb924905fd83deb (diff)
downloadsamba-11c886394970713a226d1fe46a4931ef97bb39a8.tar.gz
samba-11c886394970713a226d1fe46a4931ef97bb39a8.tar.xz
samba-11c886394970713a226d1fe46a4931ef97bb39a8.zip
r8990: First trivial example of 'make test'
Diffstat (limited to 'source/script/tests/runtests.sh')
-rw-r--r--source/script/tests/runtests.sh41
1 files changed, 41 insertions, 0 deletions
diff --git a/source/script/tests/runtests.sh b/source/script/tests/runtests.sh
new file mode 100644
index 00000000000..2483de97caf
--- /dev/null
+++ b/source/script/tests/runtests.sh
@@ -0,0 +1,41 @@
+#!/bin/sh
+
+DOMAIN=SAMBA-TEST
+export DOMAIN
+
+if [ "x$1" == "x" ]; then
+ echo "$0 <directory>"
+ exit 1
+fi
+
+PREFIX=`echo $1 | sed s+//+/+`
+
+mkdir -p $PREFIX || exit $?
+OLD_PWD=`pwd`
+cd $PREFIX || exit $?
+export PREFIX_ABS=`pwd`
+cd $OLD_PWD
+
+TMPDIR=$PREFIX_ABS/tmp
+LIBDIR=$PREFIX_ABS/lib
+PIDDIR=$PREFIX_ABS/pid
+CONFFILE=$LIBDIR/smb.conf
+PRIVATEDIR=$PREFIX_ABS/private
+LOCKDIR=$PREFIX_ABS/lockdir
+LOGDIR=$PREFIX_ABS/logs
+SOCKET_WRAPPER_DIR=$PREFIX_ABS/sockwrap
+CONFIGURATION="-s $CONFFILE"
+
+PATH=`pwd`/bin:$PATH
+
+rm -rf $PREFIX/*
+mkdir -p $PRIVATEDIR $LIBDIR $PIDDIR $LOCKDIR $TMPDIR $LOGDIR $SOCKET_WRAPPER_DIR
+
+export PREFIX_ABS CONFIGURATION CONFFILE PATH SOCKET_WRAPPER_DIR
+export PRIVATEDIR LIBDIR PIDDIR LOCKDIR TMPDIR LOGDIR
+
+cd script/tests
+for testfile in t_*sh; do
+ sh $testfile
+done
+